%define api		0.9.3
%define major		1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary:	A Gtk+-Widget for Fast Data Display
Name:		gtkdatabox
Version:	0.9.3.1
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://sourceforge.net/projects/gtkdatabox/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch4:		gtkdatabox-0.9.1.3-automake-1.13.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	gtk-doc

%description
GtkDatabox is a widget for the Gtk+-library designed to display large
amounts of numerical data fast and easy. One or more data sets of
thousands of data points (X and Y coordinate) may be displayed and
updated in split seconds. The widget is therfore used in many scientific
and private projects that need to show quickly changing data "live".

GtkDatabox offers the ability to zoom into and out of the data and to
navigate through your data by scrolling. In addition to rulers and
a simple coordinate cross, GtkDatabox now also allows you to add one
(or even more) configurable grids like on an oscilloscope.

%package -n %{libname}
Summary:	A Gtk+-Widget for Fast Data Display
Group:		System/Libraries

%description -n	%{libname}
GtkDatabox is a widget for the Gtk+-library designed to display large
amounts of numerical data fast and easy. 

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-static LIBS="-lm"
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.9.3.1-2.mga8
+ Revision: 1535327
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Oct 11 2019 daviddavid <daviddavid> 0.9.3.1-1.mga8
+ Revision: 1451730
- new version: 0.9.3.1

* Fri Aug 24 2018 daviddavid <daviddavid> 0.9.3.0-1.mga7
+ Revision: 1253775
- new version: 0.9.3.0

* Fri Feb 05 2016 umeabot <umeabot> 0.9.2.0-4.mga6
+ Revision: 939328
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2.0-3.mga5
+ Revision: 748724
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2.0-2.mga5
+ Revision: 680011
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 dams <dams> 0.9.2.0-1.mga5
+ Revision: 603142
- new version 0.9.2.0

* Fri Oct 18 2013 umeabot <umeabot> 0.9.1.3-4.mga4
+ Revision: 505321
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.1.3-3.mga3
+ Revision: 352876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.9.1.3-2.mga3
+ Revision: 338892
- patch4: fix build with automake 1.13

* Sun Aug 26 2012 remmy <remmy> 0.9.1.3-1.mga3
+ Revision: 284063
- Updated to new upstream version, and apply patches from Fedora to get this
  package to compile.
+ supp <supp>
- imported package gtkdatabox

